curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"course": {
"status": "active",
"title": "<string>",
"org": {
"sourcedId": "<string>"
},
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"academicSession": {
"sourcedId": "<string>"
},
"schoolYear": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"courseCode": "<string>",
"grades": [
"3"
],
"subjects": [
"Reading"
],
"subjectCodes": [
"<string>"
],
"level": "<string>",
"gradingScheme": "<string>",
"resources": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
],
"primaryApp": "<string>"
}
}Get a specific Course on the service provider. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Course not found.’
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"course": {
"status": "active",
"title": "<string>",
"org": {
"sourcedId": "<string>"
},
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"academicSession": {
"sourcedId": "<string>"
},
"schoolYear": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"courseCode": "<string>",
"grades": [
"3"
],
"subjects": [
"Reading"
],
"subjectCodes": [
"<string>"
],
"level": "<string>",
"gradingScheme": "<string>",
"resources": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
],
"primaryApp": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the course
Comma-separated list of fields to include in the response
"sourcedId,name"
Single Course
Represents a course.
Show child attributes